Rule Results
Query parameters
sincestring · date-timeOptional
Filter results since this date (ISO 8601)
fromstring · enumOptionalPossible values:
Field to compare 'since' against ('date' or 'updated_at')
Responses
200
Rule results response
application/json
401
Unauthorized
application/json
403
Forbidden
application/json
500
Internal Server Error
application/json
get/api/rule_results
GET /api/rule_results HTTP/1.1
Accept: */*
{
"data": [
{
"id": 701,
"implementation_id": 10,
"inserted_at": "2026-03-30T06:37:42Z",
"result": 98,
"updated_at": "2026-03-30T06:37:42Z"
}
]
}Body
rule_resultsstring · binaryRequired
CSV file with rule results (columns: implementation_key, date, result, records, errors, m:param1, ...)
Responses
200
Rule result upload successful
No content
401
Unauthorized
application/json
403
Forbidden
application/json
422
Unprocessable Entity
application/json
500
Internal Server Error
application/json
post/api/rule_results
POST /api/rule_results HTTP/1.1
Content-Type: multipart/form-data
Accept: */*
Content-Length: 31
{
"rule_results": "file_content"
}No content
Query parameters
pageintegerOptionalDefault:
Page number
0sizeinteger · min: 1OptionalDefault:
Page size
20Body
pageintegerOptionalDefault:
Page number
0sizeinteger · min: 1OptionalDefault:
Page size
20Responses
200
Rule result search response
application/json
401
Unauthorized
application/json
403
Forbidden
application/json
500
Internal Server Error
application/json
post/api/rule_results/search
POST /api/rule_results/search HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 52
{
"filters": {
"status": [
"failed"
]
},
"page": 0,
"size": 50
}{
"data": [
{
"id": 701,
"implementation_id": 10,
"inserted_at": "2026-03-30T06:37:42Z",
"result": 98,
"updated_at": "2026-03-30T06:37:42Z"
}
]
}Path parameters
idintegerRequired
Rule result ID
Responses
200
Rule result response
application/json
401
Unauthorized
application/json
403
Forbidden
application/json
500
Internal Server Error
application/json
get/api/rule_results/{id}
GET /api/rule_results/{id} HTTP/1.1
Accept: */*
{
"data": {
"id": 701,
"implementation_id": 10,
"inserted_at": "2026-03-30T06:37:42Z",
"result": 98,
"updated_at": "2026-03-30T06:37:42Z"
}
}Path parameters
idintegerRequired
Rule result ID
Responses
204
Rule result deleted
No content
401
Unauthorized
application/json
403
Forbidden
application/json
500
Internal Server Error
application/json
delete/api/rule_results/{id}
DELETE /api/rule_results/{id} HTTP/1.1
Accept: */*
No content
Last updated